%define libmajor 0
%define pluginname %{mklibname alsa-plugins}-dca
%define libname %mklibname %name %libmajor
%define devellibname %mklibname -d %name


Summary: DTS Coherent Acoustics encoder
Name:    dcaenc
Version: 2
Release: %mkrel 5
Source0: http://aepatrakov.narod.ru/dcaenc/%{name}-%{version}.tar.gz
License: LGPLv2.1+
Group:    Sound/Utilities
URL:     http://aepatrakov.narod.ru/dcaenc/

BuildRequires: kernel-headers >= 2.4.0
BuildRequires: libalsa-devel >= %version

%description
DTS Coherent Acoustics encoder

It may be useful if you want to create a DTS CD or a DTS soundtrack for a DVD
from a 6-channel PCM wav file using linux. Another use case is related to
real-time encoding of multichannel PCM audio output from arbitrary linux
applications for transmission over SPDIF (see %{pluginname} package)

%if "%distro_section" == "tainted"
%package -n %{libname}
Summary:   Libraries for DTS Coherent Acoustics encoder
Group:     System/Libraries

%description -n %{libname}
Libraries for DTS Coherent Acoustics encoder


%package -n %{devellibname}
Summary:   Development sources for DTS Coherent Acoustics encoder
Group:     Development/C
Requires:  %{libname} = %{version}-%{release}

%description -n %{devellibname}
Development sources for DTS Coherent Acoustics encoder


%package -n %{pluginname}
Summary:   DTS Coherent Acoustics encoder plugin for ALSA
Group:     Sound/Utilities 
Requires:  libalsa

%description -n %{pluginname}
DTS Coherent Acoustics encoder plugin for ALSA

Provides real-time encoding of multichannel PCM audio output from arbitrary
linux applications for transmission over SPDIF.
%endif

%if "%distro_section" == "tainted"
%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make
%endif

%install
rm -rf %{buildroot}
%if "%distro_section" == "tainted"
%makeinstall_std

# (cg) Activate the configuration by default when package is installed
mv %{buildroot}%{_datadir}/alsa/pcm %{buildroot}%{_datadir}/alsa/alsa.conf.d

find %{buildroot} -name '*.la' -delete
%else
%__install -d %{buildroot}%{_docdir}/%{name}
echo >%{buildroot}%{_docdir}/%{name}/README.urpmi <<EOF
This package is not available via the core media in Magiea.
You need to enable the 'tainted' repositories for a functioning build of this
software due to patent restrictions.
EOF
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%if "%distro_section" == "tainted"
%{_bindir}/dcaenc
%else
%{_docdir}/%{name}/README.urpmi
%endif

%if "%distro_section" == "tainted"
%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libdcaenc.so.%{libmajor}*

%files -n %{devellibname}
%defattr(-,root,root)
%{_includedir}/dcaenc.h
%{_libdir}/libdcaenc.so
%{_libdir}/pkgconfig/dcaenc.pc

%files -n %{pluginname}
%defattr(-,root,root)
%{_datadir}/alsa/alsa.conf.d/dca.conf
%{_libdir}/alsa-lib/*
%endif

%changelog
* Thu Oct 31 2013 tmb <tmb> 2-5.mga4
+ Revision: 548155
- Mageia 4 rebuild

* Fri Jan 18 2013 colin <colin> 2-4.mga3.tainted
+ Revision: 389320
- Add a dummy build+readme for core pointing users to tainted

* Fri Jan 11 2013 umeabot <umeabot> 2-3.mga3.tainted
+ Revision: 348664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 barjac <barjac> 2-2.mga3.tainted
+ Revision: 323097
- Change group(s) to new policy

* Sun Apr 15 2012 colin <colin> 2-1.mga2.tainted
+ Revision: 230904
- imported package dcaenc

